# Bpmn - 流程设计

基于 [bpmn-js](https://bpmn.io/toolkit/bpmn-js/ "https://bpmn.io/toolkit/bpmn-js/") 实现的流程设计器，通过绘制流程图，快速设计流程。

## 使用示例：
```html
<Bpmn :users="users" :roles="roles" @save="save"></Bpmn>
```
```javascript
const users = [
  {
    value: "zhangsan",
    label: "张三"
  },
  {
    value: "lisi",
    label: "李四"
  }
]
const roles = [
  {
    value: "manager",
    label: "经理"
  },
  {
    value: "personnel",
    label: "人事"
  }
]

const save = (res)=>{//保存流程图xml
  console.log(res)
}
```