import axios from '@/utils/request'
const baseURL = import.meta.env.VITE_APP_BASE_PROCESS_API;
// 新增自定义表单：
export const postForm = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form',
    method: 'post',
    data: arg,
    dataType: 'json'
  })
}
// 修改自定义表单：
export const editForm = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form',
    method: 'put',
    data: arg,
    dataType: 'json'
  })
}
// 根据id查询自定义表单字段：
export const getforprocessform = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: `/form/` + arg,
    method: 'get',
    // params: arg,
    dataType: 'json'
  })
}
// 根据path查询表单字段：
export const getFormFields = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: `/form/fields`,
    method: 'get',
    params: arg,
    dataType: 'json'
  })
}
