
export const baseModelOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '岗位名称:',
      key: 'postName',
      value: '',
      default: '',
      rules: [
        { required: true, message: '请输入岗位名称', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入岗位名称',
      },
    },
    // {
    //   tag: 'el-input',
    //   label: '岗位编码:',
    //   key: 'postCode',
    //   value: '',
    //   default: '',
    //   rules: [
    //     { required: true, message: '请输入岗位编码', trigger: 'blur' },
    //   ],
    //   attribute: {//属性
    //     type: 'text',
    //     placeholder: '请输入岗位编码',
    //   },
    // },
    // {
    //   tag: 'el-input-number',
    //   label: '岗位顺序:',
    //   key: 'postSort',
    //   value: 0,
    //   default: 0,
    //   attribute: {//属性
    //     min: 0,
    //     type: 'number',
    //     placeholder: '请输入岗位顺序',
    //   },
    // },
    {
      tag: 'BaseRadioGroup',
      label: '岗位状态:',
      key: 'status',
      value: '0',
      default: '0',
      attribute: {//配置项内容
        options: [
          { label: '正常', value: '0' },
          { label: '停用', value: '1' }
        ]
      }
    },
    {
      tag: 'el-input',
      label: '备注:',
      key: 'remark',
      value: '',
      default: '',
      attribute: {//属性
        type: 'textarea',
        placeholder: '请输入备注',
      },
    },

  ]
}

export const baseFilterOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '岗位名称:',
      key: 'postName',
      value: '',
      default: '',
      rules: [
        { required: true, message: '请输入岗位名称', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入岗位名称',
      },
    },
    // {
    //   tag: 'el-input',
    //   label: '岗位编码:',
    //   key: 'postCode',
    //   value: '',
    //   default: '',
    //   rules: [
    //     { required: true, message: '请输入岗位编码', trigger: 'blur' },
    //   ],
    //   attribute: {//属性
    //     type: 'text',
    //     placeholder: '请输入岗位编码',
    //   },
    // }, 
    {
      tag: 'BaseSelect',
      label: '岗位状态:',
      key: 'status',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择',
        options: [
          { label: '正常', value: '0' },
          { label: '停用', value: '1' }
        ]
      },
    },
  ]
}
