
export const baseModelOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '角色名称:',
      key: 'roleName',
      value: '',
      default: '',
     
      rules: [
        { required: true, message: '请输入角色名称', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入角色名称',
      },
    },
    // {
    //   tag: 'el-input',
    //   label: '权限字符:',
    //   key: 'roleKey',
    //   value: '',
    //   default: '',
    //   rules: [
    //     { required: true, message: '请输入权限字符', trigger: 'blur' },
    //   ],
    //   attribute: {//属性
    //   },
    // },
    {
      tag: 'el-input-number',
      label: '角色顺序:',
      key: 'roleSort',
      value: '',
      default: '',
      attribute: {//属性
        type: 'text',
        placeholder: '请输入角色顺序',
      },
    },
    {
      tag: 'BaseRadioGroup',
      label: '状态:',
      key: 'status',
      value: '0',
      default: '0',
      attribute: {//配置项内容
        options: [
          { label: '正常', value: '0' },
          { label: '停用', value: '1' }
        ]
      }
    },
    {
      tag: 'Rolemenu',
      label: '菜单权限:',
      key: 'menuIds',
      value: [],
      default: [],
      // multiple:true,
      attribute: {//属性
        id: '',
      },
    },
    {
      tag: 'el-input',
      label: '备注:',
      key: 'remark',
      value: '',
      default: '',
      // rules: [
      //   { required: true, message: '请输入备注', trigger: 'blur' },
      // ],
      attribute: {//属性
        type: 'textarea',
        placeholder: '请输入备注',
      },
    },

  ]
}

export const baseFilterOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '角色名称:',
      key: 'roleName',
      value: '',
      default: '',
      // rules: [
      //   { required: true, message: '请输入用户名称', trigger: 'blur' },
      // ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入用户名称',
      },
    },
    // {
    //   tag: 'el-input',
    //   label: '权限字符:',
    //   key: 'roleKey',
    //   value: '',
    //   default: '',
    //   rules: [
    //     { required: true, message: '请输入权限字符', trigger: 'blur' },
    //   ],
    //   attribute: {//属性
    //   },
    // },
    {
      tag: 'BaseSelect',
      label: '状态:',
      key: 'status',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择状态',
        options: [
          { label: '全部', value: '' },
          { label: '正常', value: '0' },
          { label: '停用', value: '1' },
        ]
      },
    },
    {
      tag: 'el-date-picker',
      label: '创建时间:',
      key: 'params',
      value: '',
      default: '',
      attribute: {//属性
        valueFormat: "YYYY-MM-DD",
        type: "daterange",
        rangeSeparator: "-",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期",
      },
      // rules: [
      //   { required: true, message: '请选择创建时间', trigger: 'change' },
      // ],
    },
  ]
}

export const basepermissOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '角色名称:',
      key: 'roleName',
      disabled:true,
      value: '',
      default: '',
      attribute: {//属性
        type: 'text',
        placeholder: '请输入用户名称',
      },
    },
    // {
    //   tag: 'el-input',
    //   label: '权限字符:',
    //   disabled:true,
    //   key: 'roleKey',
    //   value: '',
    //   default: '',
    //   attribute: {//属性
    //   },
    // },
    {
      tag: 'BaseSelect',
      label: '权限范围:',
      key: 'dataScope',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择权限范围',
        options: [
          { value: "1", label: "全部数据权限" },
          { value: "2", label: "自定数据权限" },
          { value: "3", label: "本部门数据权限" },
          { value: "4", label: "本部门及以下数据权限" },
          { value: "5", label: "仅本人数据权限" }
        ]
      },
    },
    {
      tag: 'Rolemenu',
      label: '菜单权限:',
      key: 'menuIds',
      value: [],
      default: [],
      hide: true,
      // multiple:true,
      attribute: {//属性
        id: '',
      },
    },
  ]
}