import { getToken } from "@/utils/auth";
export const baseModelOptions = () => {
  return [
    // {
    //   tag: 'weditor',
    //   label: '正文:',
    //   key: 'content',
    //   value: '',
    //   default: '',
    //   attribute: {//属性
    //     placeholder: "请输入内容...",
    //     // 自定义上传方法
    //     // uploadFn: function (file, insertFn, type, callback) {
    //     //   // type==1 || 2  是图片和视频  3是附件
    //     //   // insertFn  插入文件方法
    //     //   let fileObj = file;
    //     //   let isLt = fileObj.size / 1024 / 1024 < 20; // 判断是否小于20M
    //     //   if (!isLt) {
    //     //     callback()
    //     //     return ElMessage.warning(
    //     //       `上传文件大小不能超过 20 MB,请重新上传！`
    //     //     );
    //     //   }
    //     //   const formData = new FormData();
    //     //   formData.append('file', file);
    //     //   ossdit(formData, {}).then((res) => {
    //     //     if (type == 3) {
    //     //       insertFn("附件：" + 文件名, 文件路径);
    //     //     } else {
    //     //       insertFn(文件路径, 文件名);
    //     //     }
    //     //     callback()
    //     //   });
    //     // },
    //     // 以下自定义不用传
    //     height: '400px',
    //     fileSize: 20,
    //     // 接口返回路径的key默认是url
    //     urlkey: 'url',
    //     // 接口返回文件名的key默认name
    //     namekey: 'originalFilename',
    //     // 文件字段key
    //     filekey: 'file',
    //     // 除了文件以外的参数，全部都是通过formdata传参
    //     querybefore: {
    //     },
    //     // 请求url
    //     url: "/common/upload",
    //     // headers传值
    //     headers: {
    //       Authorization: "Bearer " + getToken(),
    //     },
    //   },
    // },
    {
      tag: 'el-input',
      label: '用户昵称:',
      key: 'nickName',
      value: '',
      default: '',
      rules: [
        { required: true, message: '请输入用户昵称', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入用户昵称',
      },
    },
    {
      tag: 'el-tree-select',
      label: '归属部门:',
      key: 'deptId',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择归属部门',
        'render-after-expand': false,
        checkStrictly: true,
        data: []
      },
    },
    {
      tag: 'el-input',
      label: '手机号码:',
      key: 'phonenumber',
      value: '',
      default: '',
      attribute: {//属性
        type: 'text',
        placeholder: '请输入手机号码',
      },
    },
    {
      tag: 'el-input',
      label: '邮箱:',
      key: 'email',
      value: '',
      default: '',
      rules: [
        { required: false, message: '邮箱格式不正确', trigger: 'blur', type: 'email', },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入邮箱',
      },
    },
    {
      tag: 'el-input',
      label: '用户名称:',
      key: 'userName',
      value: '',
      default: '',
      disEdit: true,
      rules: [
        { required: true, message: '请输入用户名称', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入用户名称',
      },
    },
    {
      tag: 'el-input',
      label: '用户密码:',
      key: 'password',
      disEdit: true,
      value: '',
      default: '',
      rules: [
        { required: true, message: '请输入用户密码', trigger: 'blur' },
      ],
      attribute: {//属性
        type: 'password',
        placeholder: '请输入用户密码',
      },
    },
    {
      tag: 'BaseSelect',
      label: '用户性别:',
      key: 'sex',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择用户性别',
        options: [
          { label: '未知', value: '2' },
          { label: '男', value: '0' },
          { label: '女', value: '1' },
        ]
      },
    },
    {
      tag: 'BaseRadioGroup',
      label: '状态:',
      key: 'status',
      value: '0',
      default: '0',
      attribute: {//配置项内容
        options: [
          { label: '正常', value: '0' },
          { label: '停用', value: '1' }
        ]
      }
    },
    {
      tag: 'BaseSelect',
      label: '岗位:',
      key: 'postIds',
      value: '',
      // multiple:true,
      default: '',
      attribute: {//属性
        placeholder: '请选择岗位',
        multiple: true,
        options: []
      },
    },
    {
      tag: 'BaseSelect',
      label: '角色:',
      key: 'roleIds',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择角色',
        multiple: true,
        options: []
      },
    },

    {
      tag: 'el-input',
      label: '备注:',
      key: 'remark',
      value: '',
      default: '',
      width: '92%',
      labelWidth: '15%',
      formItemWidth: '100%',
      // rules: [
      //   { required: true, message: '请输入备注', trigger: 'blur' },
      // ],
      attribute: {//属性
        type: 'textarea',
        placeholder: '请输入备注',
      },
    },

  ]
}

export const baseFilterOptions = () => {
  return [
    {
      tag: 'el-input',
      label: '用户名称:',
      key: 'userName',
      value: '',
      default: '',
      // rules: [
      //   { required: true, message: '请输入用户名称', trigger: 'blur' },
      // ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入用户名称',
      },
    },
    {
      tag: 'el-input',
      label: '手机号:',
      key: 'phonenumber',
      value: '',
      default: '',
      // rules: [
      //   { required: true, message: '请输入手机号', trigger: 'blur' },
      // ],
      attribute: {//属性
        type: 'text',
        placeholder: '请输入手机号',
      },
    },
    {
      tag: 'BaseSelect',
      label: '状态:',
      key: 'status',
      value: '',
      default: '',
      attribute: {//属性
        placeholder: '请选择状态',
        options: [
          { label: '全部', value: '' },
          { label: '正常', value: '0' },
          { label: '停用', value: '1' },
        ]
      },
    },
    {
      tag: 'el-date-picker',
      label: '创建时间:',
      key: 'params',
      value: '',
      default: '',
      attribute: {//属性
        valueFormat: "YYYY-MM-DD",
        type: "daterange",
        rangeSeparator: "-",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期",
      },
      // rules: [
      //   { required: true, message: '请选择创建时间', trigger: 'change' },
      // ],
    },

  ]
}